> For the complete documentation index, see [llms.txt](https://www.opal-rt.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.opal-rt.com/docs/rt-lab/automation-api-and-scripting/python-dashboard-api/api-reference/class-reference/port.md).

# Port

*class* opalone.\_internal.ports.Port(*port\_id*, *model\_id=None*, *port\_type=None*)

<table data-header-hidden><thead><tr><th width="158.22222900390625"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>A port is a part of a Block which allows interconnecting multiple blocks together.</td></tr><tr><td><strong>Parameters</strong></td><td><p><strong>port_id</strong> (<em>str</em>) – The ID of the port.</p><p><strong>model_id</strong> (<em>str</em>) – The ID of the model containing this port.</p><p><strong>port_type</strong> (<em>str</em>) – The type of port.</p></td></tr><tr><td><strong>Bases</strong></td><td>Ressource</td></tr></tbody></table>

## Method

### delete

delete()

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>Delete the current port.</p><p>This function does nothing for now, since a port deletion is not supported.</p><div data-gb-custom-block data-tag="hint" data-style="info" class="hint hint-info"><p>To delete a port, the user must delete the Block owning the port.</p></div></td></tr><tr><td><strong>Parameters</strong></td><td>None</td></tr></tbody></table>

### to\_json

to\_json(*fields*, *values*)

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td>Convert this resource to a serialized JSON representation.</td></tr><tr><td><strong>Parameter</strong></td><td><ul><li><strong>fields</strong> (<em>tuple[str] | list[str]</em>) – Fields to include.</li><li><strong>values</strong> (<em>tuple[object] | list[object]</em>) – The value of each field</li></ul></td></tr><tr><td><strong>Returns</strong></td><td>The serialized JSON representation.</td></tr><tr><td><strong>Return type</strong></td><td>str</td></tr></tbody></table>

## Property

### id

*property* id: str

<table data-header-hidden><thead><tr><th width="200"></th><th></th></tr></thead><tbody><tr><td><strong>Description</strong></td><td><p>The ID of the resource.</p><p>This property is read-only, it cannot be modified.</p></td></tr><tr><td><strong>Parameter</strong></td><td>None</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://www.opal-rt.com/docs/rt-lab/automation-api-and-scripting/python-dashboard-api/api-reference/class-reference/port.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
